{% for product in allProducts[lang] %}
  <div class="all-products__product product" id="{{ product.name }}">
    <h2 class="product__name">{{ product.name }}</h2>
    <div class="product__info product-info">
      <div class="product-info__pictures-wrap pictures-wrap">
              <span class="pictures-wrap__item-number item-number item-number--pos-abs">
                <b class="item-number__current">1 </b> / {{ product.images.length }}</span>
        <button class="pictures-wrap__slide left-slide left-slide--pos-abs" aria-label="prev-slide">
          <svg width="64" height="64" viewBox="0 0 64 64" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="32" cy="32" r="31.5" stroke="#E2E2E2"/>
            <path d="M23.9828 30.9393C23.397 31.5251 23.397 32.4749 23.9828 33.0607L33.5287 42.6066C34.1145 43.1924 35.0643 43.1924 35.65 42.6066C36.2358 42.0208 36.2358 41.0711 35.65 40.4853L27.1648 32L35.65 23.5147C36.2358 22.9289 36.2358 21.9792 35.65 21.3934C35.0643 20.8076 34.1145 20.8076 33.5287 21.3934L23.9828 30.9393ZM27.826 30.5L25.0434 30.5L25.0434 33.5L27.826 33.5L27.826 30.5Z"
                  fill="#1E1E1E"/>
          </svg>
        </button>
        <div class="pictures-wrap__pictures-list pictures-list">
          {% for productImage in product.images %}
            <div class="pictures-list__item pictures-item">
              <img class="pictures-item__picture"
                   src="{{ productImage }}"
                   alt="{{ product.name }}">
            </div>
          {% endfor %}
        </div>
        <button class="pictures-wrap__slide right-slide right-slide--pos-abs" aria-label="next-slide">
          <svg width="64" height="64" viewBox="0 0 64 64" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="32" cy="32" r="31.5" transform="rotate(-180 32 32)" stroke="#E2E2E2"/>
            <path d="M40.0171 33.0607C40.6029 32.4749 40.6029 31.5251 40.0171 30.9393L30.4712 21.3934C29.8854 20.8076 28.9356 20.8076 28.3498 21.3934C27.764 21.9792 27.764 22.9289 28.3498 23.5147L36.8351 32L28.3498 40.4853C27.764 41.0711 27.764 42.0208 28.3498 42.6066C28.9356 43.1924 29.8854 43.1924 30.4712 42.6066L40.0171 33.0607ZM36.1738 33.5L38.9564 33.5L38.9564 30.5L36.1738 30.5L36.1738 33.5Z"
                  fill="#1E1E1E"/>
          </svg>
        </button>
      </div>
      <div class="product-info__params-wrap params-wrap">
        <h3 class="params-wrap__pros-header params-header"><span class="params-header__operator">+</span>
          {{ 'common.pros' | i18n }}
        </h3>
        <ul class="params-wrap__params-list params-list params-list--marker-black">
          {% for param in product.pros %}
            <li class="params-list__item params-list__item--smaller">{{ param }}</li>
          {% endfor %}
        </ul>
        <h3 class="params-wrap__cons-header params-header params-header--grey">
          <span class="params-header__operator params-header__operator--grey">-</span>
          {{ 'common.cons' | i18n }}
        </h3>
        <ul class="params-wrap__params-list params-list params-list--marker-circled">
          {% for param in product.cons %}
            <li class="params-list__item params-list__item--smaller">{{ param }}</li>
          {% endfor %}
        </ul>

        <div class="product__descr-wrap descr-wrap descr-wrap--adaptive">
          <h3 class='product__description-header'>{{ 'common.description' | i18n }}</h3>
          <p class="product__description">{{ product.description | safe }}</p>
        </div>
        <button class="params-wrap__button button" aria-label="purchase">
          <img class="button__image" src="/assets/img/amazon_logo.svg" alt="Amazon">
          <span class="button__text">{{ 'button.watch' | i18n }}</span>
        </button>
      </div>
    </div>
    <div class="product__descr-wrap descr-wrap">
      <h3 class='product__description-header'>{{ 'common.description' | i18n }}</h3>
      <p class="product__description">{{ product.description | safe }}</p>
    </div>
  </div>
{% endfor %}
